summaryrefslogtreecommitdiffstats
path: root/audio/rubyripper
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-11 22:53:14 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:14 +0200
commit2899d06b38eccc96ce2e7a35cdd8b3d55e220f97 (patch)
tree24ee43d281f57050d289d489489ac0b13bf75a5e /audio/rubyripper
parente5ed38612fc7827ac27066118ff52e4d75b79ea9 (diff)
downloadslackbuilds-2899d06b38eccc96ce2e7a35cdd8b3d55e220f97.tar.gz
slackbuilds-2899d06b38eccc96ce2e7a35cdd8b3d55e220f97.tar.xz
audio/rubyripper: Added to 12.1 repository
Diffstat (limited to 'audio/rubyripper')
-rw-r--r--audio/rubyripper/README13
-rw-r--r--audio/rubyripper/rubyripper.SlackBuild69
-rw-r--r--audio/rubyripper/rubyripper.info8
-rw-r--r--audio/rubyripper/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/audio/rubyripper/README b/audio/rubyripper/README
new file mode 100644
index 0000000000..601328826d
--- /dev/null
+++ b/audio/rubyripper/README
@@ -0,0 +1,13 @@
+ Rubyripper is a secure audio ripper which aims to deliver high quality rips
+from audio cd's to your computer drive. It tries to do so by ripping the same
+track with cdparanoia multiple times and then comparing the results.
+It currently has a gtk2 and a command-line interface.
+
+Rubyripper has the optional dependencies:
+
+GTK+ GUI: ruby-gtk2 (we will only build the command-line interface)
+Codec support: flac,vorbis-tools,lame
+ReplayGain support: vorbisgain, mp3gain
+Normalization support: normalize
+Freedb support: cd-discid
+Eject support: eject
diff --git a/audio/rubyripper/rubyripper.SlackBuild b/audio/rubyripper/rubyripper.SlackBuild
new file mode 100644
index 0000000000..be19d8a7dd
--- /dev/null
+++ b/audio/rubyripper/rubyripper.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for rubyripper
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
+
+PRGNAM=rubyripper
+VERSION=${VERSION:-0.5.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+DOCS="GPL-3.txt README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-cli
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/rubyripper/rubyripper.info b/audio/rubyripper/rubyripper.info
new file mode 100644
index 0000000000..5e276842a7
--- /dev/null
+++ b/audio/rubyripper/rubyripper.info
@@ -0,0 +1,8 @@
+PRGNAM="rubyripper"
+VERSION="0.5.4"
+HOMEPAGE="http://code.google.com/p/rubyripper/"
+DOWNLOAD="http://rubyripper.googlecode.com/files/rubyripper-0.5.4.tar.bz2"
+MD5SUM="7c728ddd517c36c1c6b853c7e0bff8a3"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="dsomero"
diff --git a/audio/rubyripper/slack-desc b/audio/rubyripper/slack-desc
new file mode 100644
index 0000000000..6f2a7994d6
--- /dev/null
+++ b/audio/rubyripper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rubyripper: rubyripper (secure audio disk ripper)
+rubyripper:
+rubyripper: Rubyripper aims to deliver high quality rips from audio cd's to
+rubyripper: yourcomputer drive. It tries to do so by ripping the same track
+rubyripper: with cdparanoia multiple times and then comparing the results.
+rubyripper: It currently has a gtk2 and a command-line interface.
+rubyripper:
+rubyripper: Homepage: http://code.google.com/p/rubyripper/
+rubyripper:
+rubyripper:
+rubyripper: